package com.template.model.enumModel;

/**
 * @Author: xwt
 * @Date: 2023/7/6 星期四 16:34
 * @Description: com.template.model.enumModel
 * @Version: 1.0
 * 设备类型
 */
public enum ePreferredMethod {
    Self(1),//自荐
    College(2);//学院推荐

    private int value;

    ePreferredMethod(int value){
        this.value = value;
    }

    public int getValue() {
        return value;
    }
    public static ePreferredMethod valueOf(int value) {
        switch (value) {
            case 1:
                return ePreferredMethod.Self;
            case 2:
                return ePreferredMethod.College;
            default:
                return null;
        }
    }

    public static String stringOf(Integer value) {
        switch (value) {
            case 1:
                return "自荐";
            case 2:
                return "学院推荐";
            default:
                return null;
        }
    }

}
